# Uses of Class
it.tdlight.jni.TdApi.ChatBoostSource

## Uses of TdApi.ChatBoostSource in it.tdlight.jni

Subclasses of TdApi.ChatBoostSource in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ChatBoostSourceGiftCode`
The chat created a Telegram Premium gift code for a user.
`static final class`
`TdApi.ChatBoostSourceGiveaway`
The chat created a Telegram Premium giveaway.
`static final class`
`TdApi.ChatBoostSourcePremium`
A user with Telegram Premium subscription or gifted Telegram Premium boosted the chat.
Fields in it.tdlight.jni declared as TdApi.ChatBoostSource
Modifier and Type
Field
Description
`TdApi.ChatBoostSource`
TdApi.ChatBoost.`source`
Source of the boost.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatBoostSource
Modifier
Constructor
Description
``
`ChatBoost(String id, int count, TdApi.ChatBoostSource source, int startDate, int expirationDate)`
Describes a boost applied to a chat.